set seed 123456
capture program drop sim
program define sim, rclass
	use nlsw882, clear
	bsample

	reg ln_wage ttl_exps* hourss* grade collgrad south union
	test union=scalar(true)
	return scalar b = _b[union]
	return scalar sig = r(p) < .05

	intreg cat cat2 ttl_exps* hourss* grade collgrad south union, from(init)
	test union=scalar(true)
	return scalar bi = _b[union]
	return scalar sigi = r(p) < .05

	reg mid ttl_exps* hourss* grade collgrad south union
	test union=scalar(true)
	return scalar bm = _b[union]
	return scalar sigm = r(p) < .05

end

simulate b=r(b)   sig=r(sig)    ///
         bi=r(bi) sigi=r(sigi)  ///
         bm=r(bm) sigm=r(sigm), ///
         reps(10000): sim

sum sig*

twoway kdensity b  || ///
       kdensity bi || ///
       kdensity bm 
